=== modified file 'loggerhead/controllers/diff_ui.py'
--- loggerhead/controllers/diff_ui.py	2011-03-18 09:39:01 +0000
+++ loggerhead/controllers/diff_ui.py	2011-06-28 16:51:55 +0000
@@ -17,12 +17,12 @@
 #
 
 from cStringIO import StringIO
-import logging
 import time
 
 from paste.request import path_info_pop
 
 from bzrlib.diff import show_diff_trees
+from bzrlib.revision import NULL_REVISION
 
 from loggerhead.controllers import TemplatedBranchView
 
@@ -47,8 +47,10 @@
         revid_from = self._history.fix_revid(revid_from)
         change = self._history.get_changes([revid_from])[0]
 
-        if len(args) is 2:
+        if len(args) == 2:
             revid_to = self._history.fix_revid(args[1])
+        elif len(change.parents) == 0:
+            revid_to = NULL_REVISION
         else:
             revid_to = change.parents[0].revid
 

=== modified file 'loggerhead/templates/revision.pt'
--- loggerhead/templates/revision.pt	2011-02-23 03:01:15 +0000
+++ loggerhead/templates/revision.pt	2011-06-28 16:51:55 +0000
@@ -80,7 +80,7 @@
             </a>
           </li>
           <li>
-            <a tal:condition="python:len(change.parents) > 0 and compare_revid is None"
+            <a tal:condition="python:compare_revid is None"
                tal:attributes="href python:url(['/diff', change.revno], clear=1)">download diff</a>
             <a tal:condition="python:compare_revid is not None"
                tal:attributes="href python:url(['/diff', change.revno, history.get_revno(compare_revid)], clear=1)">download diff</a>

